org.eclipse.cdt.utils.elf

## Class Elf.Attribute

- java.lang.Object
- - org.eclipse.cdt.utils.elf.Elf.Attribute

Enclosing class:
  Elf

    public class Elf.Attribute
    extends Object

### Field Summary

Fields
`static int` `DEBUG_TYPE_DWARF`
`static int` `DEBUG_TYPE_NONE`
`static int` `DEBUG_TYPE_STABS`
`static int` `ELF_TYPE_CORE`
`static int` `ELF_TYPE_EXE`
`static int` `ELF_TYPE_OBJ`
`static int` `ELF_TYPE_SHLIB`

### Constructor Summary

Constructors
Constructor and Description
`Attribute()`

### Method Summary

All Methods Instance Methods Concrete Methods
`IAddressFactory` `getAddressFactory()`
`String` `getCPU()`
`int` `getDebugType()`
`int` `getType()`
`boolean` `hasDebug()`
`boolean` `isLittleEndian()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ELF_TYPE_EXE

    public static final int ELF_TYPE_EXE

See Also:
  Constant Field Values

#### ELF_TYPE_SHLIB

    public static final int ELF_TYPE_SHLIB

See Also:
  Constant Field Values

#### ELF_TYPE_OBJ

    public static final int ELF_TYPE_OBJ

See Also:
  Constant Field Values

#### ELF_TYPE_CORE

    public static final int ELF_TYPE_CORE

See Also:
  Constant Field Values

#### DEBUG_TYPE_NONE

    public static final int DEBUG_TYPE_NONE

See Also:
  Constant Field Values

#### DEBUG_TYPE_STABS

    public static final int DEBUG_TYPE_STABS

See Also:
  Constant Field Values

#### DEBUG_TYPE_DWARF

    public static final int DEBUG_TYPE_DWARF

See Also:
  Constant Field Values

### Constructor Detail

#### Attribute

    public Attribute()

### Method Detail

#### getCPU

    public String getCPU()

#### getType

    public int getType()

#### hasDebug

    public boolean hasDebug()

#### getDebugType

    public int getDebugType()

#### isLittleEndian

    public boolean isLittleEndian()

#### getAddressFactory

    public IAddressFactory getAddressFactory()